package org.ow2.jonas.lib.jmbeans;

import java.io.Serializable;

public class ServiceItem implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 1L;

    private String name;
    private ServiceState state;
    private String description;
    private boolean mandatory;

    public ServiceItem() {

    }
    public String getName() {
        return name;
    }
    public void setName(final String name) {
        this.name = name;
    }
    public ServiceState getState() {
        return state;
    }
    public void setState(final ServiceState state) {
        this.state = state;
    }
    public String getDescription() {
        return description;
    }
    public void setDescription(final String description) {
        this.description = description;
    }
    public boolean isMandatory() {
        return mandatory;
    }
    public void setMandatory(final boolean mandatory) {
        this.mandatory = mandatory;
    }
    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

}
